from Tkinter import *
import tkMessageBox
from PIL import Image, ImageTk

"""
#
#  check command line arguments
#
if (len(sys.argv) != 2):
   print "You should specify a serial port. Usage:\ncommand line: hal.py serial_port"
   sys.exit()
port = sys.argv[1]

#
# open serial port
#
ser = serial.Serial(port,9600)
ser.setDTR()
#
"""
# VARIABLES
WINDOW = 600 # window size
# COLORS
dark='#000000'
light='#ffffff'

# TEXT
textAbout="I am a FAB 9000 computer. I became operational at the Fab Academy course in FabLab Barcelona, Spain on the 12th of May 2013. My instructor was Mr. Francisco Sanchez."
textThink="Just what do you think you are doing, Francisco?"


#
# MAIN WINDOW
#
root = Tk()
root.title('FAB 9000')
canvas = Canvas(root, width=WINDOW, height=.9*WINDOW,background='black') # Set window size

filename = PhotoImage(file = "fab9000-urbana.gif")
image = canvas.create_image(.95*WINDOW,.05*WINDOW, anchor=NE, image=filename)
title=canvas.create_text(.5*WINDOW,.45*WINDOW,text="M O D",font=("Microgramma D OT", 120),tags="text3",fill=light)


def donothing():
    pass

def about():
   tkMessageBox.showinfo("About FAB 9000", textAbout)
   
def modSelect(event):
    canvas.delete(ALL)
    dark='#000000'
    light='#ffffff'
    image = canvas.create_image(.95*WINDOW,.05*WINDOW, anchor=NE, image=filename)
    title=canvas.create_text(.5*WINDOW,.45*WINDOW,text="M O D",font=("Microgramma D OT", 120),tags="text3",fill=light)

def temMode(event):
    canvas.delete(ALL)
    dark='#b11204'
    light='#ffffff'
    rec=canvas.create_rectangle(.0*WINDOW,.0*WINDOW,1*WINDOW,1*WINDOW, tags='rect2', outline='', fill=dark)
    title=canvas.create_text(.5*WINDOW,.45*WINDOW,text="T M P",font=("Microgramma D OT", 120),tags="text3",fill=light)
    value=canvas.create_text(.28*WINDOW,.33*WINDOW,text="VAL = " + tempvalue + ". KELVIN()",font=("Museo Sans 100", 30),tags="text4",fill=light)
    
    
def humMode(event):
    canvas.delete(ALL)
    dark='#026497'
    light='#ffffff'
    rec=canvas.create_rectangle(.0*WINDOW,.0*WINDOW,1*WINDOW,1*WINDOW, tags='rect2', outline='', fill=dark)
    title=canvas.create_text(.5*WINDOW,.45*WINDOW,text="H U M",font=("Microgramma D OT", 120),tags="text3",fill=light)
    value=canvas.create_text(.25*WINDOW,.33*WINDOW,text="INT = " + humvalue + " (REL);",font=("Museo Sans 100", 30),tags="text4",fill=light)

root.bind('h',humMode)
root.bind('t',temMode)
root.bind('m',modSelect)   
#root.bind('q',sys.exit())

# MENU
# 
menubar = Menu(root)

filemenu = Menu(menubar, tearoff=0)
filemenu.add_command(label="New", command=donothing)
filemenu.add_command(label="Open", command=donothing)
filemenu.add_command(label="Save", command=donothing)
filemenu.add_command(label="Save as...", command=donothing)
filemenu.add_command(label="Close", command=donothing)
filemenu.add_separator()
filemenu.add_command(label="Exit", command=root.quit)
menubar.add_cascade(label="File", menu=filemenu)

modemenu = Menu(menubar, tearoff=0)
modemenu.add_command(label="Temperature", command=temMode)
modemenu.add_command(label="Humidity", command=humMode)
modemenu.add_separator()
modemenu.add_command(label="Select Mode...", command=modSelect)
menubar.add_cascade(label="Mode", menu=modemenu)

helpmenu = Menu(menubar, tearoff=0)
helpmenu.add_command(label="About...", command=about)
menubar.add_cascade(label="Help", menu=helpmenu)

root.config(menu=menubar)

     
    
canvas.pack()
root.mainloop()

